

<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    >
        <fragment
            android:id="@+id/autocomplete_fragment"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:name="com.google.android.libraries.places.widget.AutocompleteSupportFragment"
            />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        >

        <fragment
            android:id="@+id/parent_map"
            android:layout_marginBottom="5dp"
            class="com.google.android.gms.maps.SupportMapFragment"
            android:layout_width="match_parent"
            android:layout_height="match_parent"/>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="5dp"
            android:gravity="bottom|center"
            android:layout_alignParentBottom="true"
            android:layout_gravity="bottom|center">

            <Button
                android:id="@+id/save_parent_address"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20dp"
                android:gravity="center"
                android:layout_gravity="bottom|center"
                android:textStyle="normal"
                android:layout_marginTop="20dp"
                android:background="@drawable/rounded_corners_rectangle"
                android:textSize="24sp"
                android:textAllCaps="false"
                android:textColor="@color/blue"
                android:text="Pick this location" />
        </LinearLayout>
        <ImageView
            android:id="@+id/getcurrentLocation"
            android:layout_width="35dp"
            android:layout_height="35dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="10dp"
            android:layout_alignRight="@id/parent_map"
            android:src="@drawable/current_loc" />

        <ImageView
            android:id="@+id/zoom_in"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="10dp"
            android:layout_alignRight="@id/parent_map"
            android:layout_below="@id/getcurrentLocation"
            android:src="@drawable/plus" />

        <ImageView
            android:id="@+id/zoom_out"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="10dp"
            android:layout_alignRight="@id/parent_map"
            android:layout_below="@id/zoom_in"
            android:src="@drawable/minus" />
    </RelativeLayout>

</LinearLayout>